Page MenuHomeVyOS Platform

Wrong interface binding for Dell VEP 1445
Closed, ResolvedPublicBUG

Description

Dell VEP 1445 has wrong interface binding.
Proposed binding:

Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down
Interface        IP Address                        S/L  Description
---------        ----------                        ---  -----------
eth1             -                                 u/u  GE1 
eth2             -                                 u/D  GE2 
eth3             -                                 u/D  GE3 
eth4             -                                 u/D  GE4 
eth5             -                                 u/D  GE5 
eth6             -                                 u/D  GE6 
eth7             -                                 u/u  SFP+1 
eth8             -                                 u/u  SFP+2 
lo               127.0.0.1/8                       u/u  
                 ::1/128
wlan0            -                                 u/D

Details

Difficulty level
Easy (less than an hour)
Version
1.2.5
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry claimed this task.Jun 7 2020, 8:26 PM
Dmitry created this task.
c-po added a subscriber: c-po.Jun 7 2020, 8:58 PM

This will move eth0 to eth7 - is there a config migrator? Or is it yet not used in "production"?

Dmitry added a comment.Jun 8 2020, 6:17 AM

@c-po these changes will take effect only for the newly installed system, HW-ID in config has more priority.

Dmitry added a comment.Jun 8 2020, 6:22 AM

I think the old interface sequence number can confuse on this device

pasik added a subscriber: pasik.Jun 8 2020, 1:47 PM
dmbaturin closed this task as Resolved.Jul 26 2020, 2:50 PM